Bug 630260 - Review Request: ghc-attoparsec - Fast combinator parsing for bytestrings
Review Request: ghc-attoparsec - Fast combinator parsing for bytestrings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-JSONb 648093 ghc-attoparsec-enum
  Show dependency treegraph
 
Reported: 2010-09-04 09:40 EDT by Ben Boeckel
Modified: 2012-11-22 12:32 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-attoparsec-0.8.2.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 15:26:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bos: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 09:40:09 EDT
Spec URL: http://benboeckel.net/packaging/ghc-attoparsec/ghc-attoparsec.spec
SRPM URL: http://benboeckel.net/packaging/ghc-attoparsec/ghc-attoparsec-0.8.1.0-1.fc14.src.rpm
Description:
A fast parser combinator library, aimed particularly at
dealing efficiently with network protocols and complicated
text/binary file formats.

% lintmock fedora-14-x86_64-bb
ghc-attoparsec.src: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combina
tive
ghc-attoparsec.src: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, shoest
rings
ghc-attoparsec.src: W: spelling-error %description -l en_US combinator -> combinatorial, combination, 
combinative
ghc-attoparsec.src: W: strange-permission attoparsec-0.8.1.0.tar.gz 0640L
ghc-attoparsec.src: W: strange-permission ghc-attoparsec.spec 0640L
ghc-attoparsec.x86_64: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, comb
inative
ghc-attoparsec.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, sho
estrings
ghc-attoparsec.x86_64: W: spelling-error %description -l en_US combinator -> combinatorial, combinatio
n, combinative
ghc-attoparsec-devel.x86_64: W: spelling-error Summary(en_US) combinator -> combinatorial, combination
, combinative
ghc-attoparsec-devel.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-string
s, shoestrings
ghc-attoparsec-devel.x86_64: W: spelling-error %description -l en_US combinator -> combinatorial, comb
ination, combinative
ghc-attoparsec-prof.x86_64: E: devel-dependency ghc-attoparsec-devel
ghc-attoparsec-prof.x86_64: W: spelling-error Summary(en_US) combinator -> combinatorial, combination,
 combinative
ghc-attoparsec-prof.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings
, shoestrings
ghc-attoparsec-prof.x86_64: W: spelling-error %description -l en_US combinator -> combinatorial, combi
nation, combinative
ghc-attoparsec-prof.x86_64: W: no-documentation
ghc-attoparsec-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/attoparsec-0.8.1.
0/libHSattoparsec-0.8.1.0_p.a
4 packages and 0 specfiles checked; 1 errors, 16 warnings.
Comment 1 Bryan O'Sullivan 2010-11-18 21:55:52 EST
The latest version is 0.8.2.0. Please update.
Comment 2 Ben Boeckel 2010-11-29 19:23:14 EST
Spec URL: http://benboeckel.net/packaging/ghc-attoparsec/ghc-attoparsec.spec
SRPM URL: http://benboeckel.net/packaging/ghc-attoparsec/ghc-attoparsec-0.8.2.0-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-attoparsec.src: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combinative
ghc-attoparsec.src: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, shoestrings
ghc-attoparsec.src: W: spelling-error %description -l en_US combinator -> combinatorial, combination, combinative
ghc-attoparsec.src: W: strange-permission ghc-attoparsec.spec 0640L
ghc-attoparsec.x86_64: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combinative
ghc-attoparsec.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, shoestrings
ghc-attoparsec.x86_64: W: spelling-error %description -l en_US combinator -> combinatorial, combination, combinative
ghc-attoparsec-devel.x86_64: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combinative
ghc-attoparsec-devel.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, shoestrings
ghc-attoparsec-devel.x86_64: W: spelling-error %description -l en_US combinator -> combinatorial, combination, combinative
ghc-attoparsec-prof.x86_64: E: devel-dependency ghc-attoparsec-devel
ghc-attoparsec-prof.x86_64: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combinative
ghc-attoparsec-prof.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, shoestrings
ghc-attoparsec-prof.x86_64: W: spelling-error %description -l en_US combinator -> combinatorial, combination, combinative
ghc-attoparsec-prof.x86_64: W: no-documentation
ghc-attoparsec-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/attoparsec-0.8.2.0/libHSattoparsec-0.8.2.0_p.a
4 packages and 0 specfiles checked; 1 errors, 15 warnings.
Comment 3 Bryan O'Sullivan 2010-11-29 19:29:55 EST
All looks good now, thanks.

-------------------------------------------------------
    This package (ghc-attoparsec) is
    APPROVED by bos
-------------------------------------------------------
Comment 4 Ben Boeckel 2010-11-30 01:35:18 EST
New Package CVS Request
=======================
Package Name: ghc-attoparsec
Short Description: Fast combinator parsing for bytestrings
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2010-11-30 10:14:42 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2010-12-01 21:23:23 EST
ghc-attoparsec-0.8.2.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-attoparsec-0.8.2.0-1.fc14
Comment 7 Fedora Update System 2010-12-01 21:23:29 EST
ghc-attoparsec-0.8.2.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-attoparsec-0.8.2.0-1.fc13
Comment 8 Fedora Update System 2010-12-02 14:09:51 EST
ghc-attoparsec-0.8.2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-attoparsec'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-attoparsec-0.8.2.0-1.fc13
Comment 9 Fedora Update System 2010-12-10 15:26:08 EST
ghc-attoparsec-0.8.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-12-10 15:32:17 EST
ghc-attoparsec-0.8.2.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jens Petersen 2012-07-15 06:08:39 EDT
Package Change Request
======================
Package Name: ghc-attoparsec
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 12 Jon Ciesla 2012-07-15 14:10:04 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-11-07 00:56:40 EST
ghc-attoparsec-0.10.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-attoparsec-0.10.1.1-2.el6
Comment 14 Fedora Update System 2012-11-22 12:32:24 EST
ghc-attoparsec-0.10.1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.